const state = {
  selectedCompanyId: null
}

const mutations = {
  SET_COMPANY_ID: (state, companyId) => {
    state.selectedCompanyId = companyId
  }
}

const actions = {
  setCompanyId({ commit }, companyId) {
    commit('SET_COMPANY_ID', companyId)
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
